Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.change_vision.jude.api.inf.editor
Interface SequenceDiagramEditor

    com.change_vision.jude.api.inf.editor.SequenceDiagramEditor

All Superinterfaces:
  BasicDiagramEditor, BehaviorDiagramEditor, DiagramEditor

All Implemented Interfaces:
  BasicDiagramEditor, BehaviorDiagramEditor, DiagramEditor

    public SequenceDiagramEditor

extends BehaviorDiagramEditor

Interface to create presentations in Sequence Diagram.

Since:
  6.6.4

Method Summary
`abstract INodePresentation` | `createCombinedFragment(String name, String interactionOpeator, Point2D location, double width, double height)` Create a Combined Fragment.
`abstract ILinkPresentation` | `createCreateMessage(String name, INodePresentation sender, INodePresentation receiver, double locY)` Create a Create Message.
`abstract ILinkPresentation` | `createDestroyMessage(String name, INodePresentation sender, INodePresentation reseiver, double locY)` Create a Destroy Message.
`abstract ILinkPresentation` | `createFoundMessage(String name, Point2D startPoint, INodePresentation receiver)` Create a Found Message.
`abstract INodePresentation` | `createInteractionUse(String name, String argument, ISequenceDiagram refersTo, Point2D location, double width, double height)` Create a Interaction Use.
`abstract INodePresentation` | `createLifeline(String name, double locX)` Create a life line.
`abstract ILinkPresentation` | `createLostMessage(String name, INodePresentation sender, Point2D endPoint)` Create a Lost Message.
`abstract ILinkPresentation` | `createMessage(String name, INodePresentation sender, INodePresentation receiver, double locY)` Create a Message.
`abstract ILinkPresentation` | `createReturnMessage(String name, ILinkPresentation messagePs)` Create a Return Message.
`abstract ISequenceDiagram` | `createSequenceDiagram(INamedElement owner, String name)` Crate a sequence diagram in a parent package.
`abstract INodePresentation` | `createStateInvariant(INodePresentation coveredLifeline, String name, double locY)` Create a State Invariant.
`abstract INodePresentation` | `createTermination(INodePresentation coveredLifeline)` Create a Termination.

Methods inherited from class com.change_vision.jude.api.inf.editor.BasicDiagramEditor
`createNote, createNoteAnchor, createNoteAnchor`

Methods inherited from class com.change_vision.jude.api.inf.editor.DiagramEditor
`createImage, createLine, createRect, createText, delete, deleteDiagram, deletePresentation, getDiagram, setDiagram`

Method Detail

### createSequenceDiagram

    abstract ISequenceDiagram createSequenceDiagram(INamedElement owner,
                                                    String name)

  Crate a sequence diagram in a parent package. Diagram is set to DiagramEditor (DiagramEditor.setDiagram(IDiagram diagram)) if the diagram is created successfully.

  Parameters:
    `owner` - Parent Package
    `name` - Sequence Diagram Name
  Returns:
    Sequence Diagram
  Throws:
    `InvalidEditingException` - InvalidEditingException occurs.

        Keys:
             PARAMETER_ERROR_KEY - if a parameter is not set properly.
             NO_NAME_ERROR_KEY - if the name is empty.
             ILLEGALMODELTYPE_ERROR_KEY - if the model type is illegal.
             READ_ONLY_MESSAGE - if a read-only element is edited.
             INVALID_OWNER_KEY - if the owner is invalid.
             BAD_TRANSACTION_KEY - Bad Transaction.
             HAS_EXCEPTION_KEY - if an exception has occurred.

        Values:
             Error messages for exceptions.

  Since:
    6.6.4

### createLifeline

    abstract INodePresentation createLifeline(String name,
                                              double locX)

  Create a life line.

  Parameters:
    `name` - Life line Name
    `locX` - locX
  Returns:
    INodePresentation Life Line
  Throws:
    `InvalidEditingException` - InvalidEditingException occurs.

        Keys:
             PARAMETER_ERROR_KEY - if a parameter is not set properly.
             NO_TARGET_DIAGRAM_KEY - if target Diagram is not set.
             READ_ONLY_MESSAGE - if a read-only element is edited.
             BAD_TRANSACTION_KEY - Bad Transaction.
             HAS_EXCEPTION_KEY - if an exception has occurred.

        Values:
             Error messages for exceptions.

  Since:
    6.6.4

### createCombinedFragment

    abstract INodePresentation createCombinedFragment(String name,
                                                      String interactionOpeator,
                                                      Point2D location,
                                                      double width,
                                                      double height)

  Create a Combined Fragment.

  Parameters:
    `name` - Combined Fragment Name
    `interactionOperator` - interaction operator (alt, assert, break, consider, cirtical, igore, loop, neg, opt, par, seq, strict)
    `location` - location
    `width` - width
    `height` - height
  Returns:
    INodePresentation Combined Fragment
  Throws:
    `InvalidEditingException` - InvalidEditingException occurs.

        Keys:
             PARAMETER_ERROR_KEY - if a parameter is not set properly.
             NO_TARGET_DIAGRAM_KEY - if target Diagram is not set.
             READ_ONLY_MESSAGE - if a read-only element is edited.
             BAD_TRANSACTION_KEY - Bad Transaction.
             HAS_EXCEPTION_KEY - if an exception has occurred.

        Values:
             Error messages for exceptions.

  Since:
    6.6.4

### createInteractionUse

    abstract INodePresentation createInteractionUse(String name,
                                                    String argument,
                                                    ISequenceDiagram refersTo,
                                                    Point2D location,
                                                    double width,
                                                    double height)

  Create a Interaction Use.

  Parameters:
    `name` - Interaction Use Name
    `argument` - Argument
    `refersTo` - sequence diagram refers to
    `location` - location
    `width` - width
    `height` - height
  Returns:
    INodePresentation Interaction Use
  Throws:
    `InvalidEditingException` - InvalidEditingException occurs.

        Keys:
             PARAMETER_ERROR_KEY - if a parameter is not set properly.
             NO_NAME_ERROR_KEY - if the name is empty.
             SAME_DIAGRAM_ERROR_KEY - if a InteractionUse is created in the same diagram.
             NO_LIFELINE_COVERED_KEY - if even no one life line to be covered
             NO_TARGET_DIAGRAM_KEY - if target Diagram is not set.
             READ_ONLY_MESSAGE - if a read-only element is edited.
             BAD_TRANSACTION_KEY - Bad Transaction.
             HAS_EXCEPTION_KEY - if an exception has occurred.

        Values:
             Error messages for exceptions.

  Since:
    6.6.4

### createStateInvariant

    abstract INodePresentation createStateInvariant(INodePresentation coveredLifeline,
                                                    String name,
                                                    double locY)

  Create a State Invariant.

  Parameters:
    `coveredLifeline` - Covered Life Line
    `name` - State Invariant Name
    `locY` - location y
  Returns:
    INodePresentation State Invariant
  Throws:
    `InvalidEditingException` - InvalidEditingException occurs.

        Keys:
             PARAMETER_ERROR_KEY - if a parameter is not set properly.
             NO_NAME_ERROR_KEY - if the name is empty.
             NO_TARGET_DIAGRAM_KEY - if target Diagram is not set.
             READ_ONLY_MESSAGE - if a read-only element is edited.
             BAD_TRANSACTION_KEY - Bad Transaction.
             HAS_EXCEPTION_KEY - if an exception has occurred.

        Values:
             Error messages for exceptions.

  Since:
    6.6.4

### createTermination

    abstract INodePresentation createTermination(INodePresentation coveredLifeline)

  Create a Termination.

  Parameters:
    `coveredLifeline` - Covered Life Line
  Returns:
    INodePresentation Termination
  Throws:
    `InvalidEditingException` - InvalidEditingException occurs.

        Keys:
             PARAMETER_ERROR_KEY - if a parameter is not set properly.
             NO_TARGET_DIAGRAM_KEY - if target Diagram is not set.
             READ_ONLY_MESSAGE - if a read-only element is edited.
             BAD_TRANSACTION_KEY - Bad Transaction.
             HAS_EXCEPTION_KEY - if an exception has occurred.

        Values:
             Error messages for exceptions.

  Since:
    6.6.4

### createMessage

    abstract ILinkPresentation createMessage(String name,
                                             INodePresentation sender,
                                             INodePresentation receiver,
                                             double locY)

  Create a Message.

  Parameters:
    `name` - message name
    `sender` - sender (Frame, Lifeline, Activation, InteractionUse)
    `receiver` - receiver (Frame, Lifeline, Activation, InteractionUse)
    `locY` - location y
  Returns:
    ILinkPresentation Message
  Throws:
    `InvalidEditingException` - InvalidEditingException occurs.

        Keys:
             PARAMETER_ERROR_KEY - if a parameter is not set properly.
             NO_TARGET_DIAGRAM_KEY - if target Diagram is not set.
             INVALID_DIAGRAM_ERROR_KEY - if a diagram of an element is not correct.
             READ_ONLY_MESSAGE - if a read-only element is edited.
             BAD_TRANSACTION_KEY - Bad Transaction.
             HAS_EXCEPTION_KEY - if an exception has occurred.

        Values:
             Error messages for exceptions.

  Since:
    6.6.4

### createCreateMessage

    abstract ILinkPresentation createCreateMessage(String name,
                                                   INodePresentation sender,
                                                   INodePresentation receiver,
                                                   double locY)

  Create a Create Message.

  Parameters:
    `name` - message name
    `sender` - sender (Frame, Lifeline, Activation, InteractionUse)
    `receiver` - receiver (Frame, Lifeline, Activation, InteractionUse)
    `locY` - location y
  Returns:
    ILinkPresentation Create Message
  Throws:
    `InvalidEditingException` - InvalidEditingException occurs.

        Keys:
             PARAMETER_ERROR_KEY - if a parameter is not set properly.
             NO_TARGET_DIAGRAM_KEY - if target Diagram is not set.
             INVALID_DIAGRAM_ERROR_KEY - if a diagram of an element is not correct.
             READ_ONLY_MESSAGE - if a read-only element is edited.
             BAD_TRANSACTION_KEY - Bad Transaction.
             HAS_EXCEPTION_KEY - if an exception has occurred.

        Values:
             Error messages for exceptions.

  Since:
    6.6.4

### createDestroyMessage

    abstract ILinkPresentation createDestroyMessage(String name,
                                                    INodePresentation sender,
                                                    INodePresentation reseiver,
                                                    double locY)

  Create a Destroy Message.

  Parameters:
    `name` - message name
    `sender` - sender (Frame, Lifeline, Activation, InteractionUse)
    `receiver` - receiver (Frame, Lifeline, Activation, InteractionUse)
    `locY` - location y
  Returns:
    ILinkPresentation Destroy Message
  Throws:
    `InvalidEditingException` - InvalidEditingException occurs.

        Keys:
             PARAMETER_ERROR_KEY - if a parameter is not set properly.
             NO_TARGET_DIAGRAM_KEY - if target Diagram is not set.
             INVALID_DIAGRAM_ERROR_KEY - if a diagram of an element is not correct.
             READ_ONLY_MESSAGE - if a read-only element is edited.
             BAD_TRANSACTION_KEY - Bad Transaction.
             HAS_EXCEPTION_KEY - if an exception has occurred.

        Values:
             Error messages for exceptions.

  Since:
    6.6.4

### createReturnMessage

    abstract ILinkPresentation createReturnMessage(String name,
                                                   ILinkPresentation messagePs)

  Create a Return Message.

  Parameters:
    `name` - message name
    `message` - The message will add return message
    `locY` - location y
  Returns:
    ILinkPresentation Reply Message
  Throws:
    `InvalidEditingException` - InvalidEditingException occurs.

        Keys:
             PARAMETER_ERROR_KEY - if a parameter is not set properly.
             NO_TARGET_DIAGRAM_KEY - if target Diagram is not set.
             INVALID_DIAGRAM_ERROR_KEY - if a diagram of an element is not correct.
             READ_ONLY_MESSAGE - if a read-only element is edited.
             BAD_TRANSACTION_KEY - Bad Transaction.
             HAS_EXCEPTION_KEY - if an exception has occurred.

        Values:
             Error messages for exceptions.

  Since:
    6.6.4

### createLostMessage

    abstract ILinkPresentation createLostMessage(String name,
                                                 INodePresentation sender,
                                                 Point2D endPoint)

  Create a Lost Message.

  Parameters:
    `name` - Lost message name
    `sender` - sender (Frame, Lifeline, Activation, InteractionUse)
    `endPoint` - End Point
  Returns:
    ILinkPresentation Lost Message
  Throws:
    `InvalidEditingException` - InvalidEditingException occurs.

        Keys:
             PARAMETER_ERROR_KEY - if a parameter is not set properly.
             NO_TARGET_DIAGRAM_KEY - if target Diagram is not set.
             INVALID_DIAGRAM_ERROR_KEY - if a diagram of an element is not correct.
             READ_ONLY_MESSAGE - if a read-only element is edited.
             BAD_TRANSACTION_KEY - Bad Transaction.
             HAS_EXCEPTION_KEY - if an exception has occurred.

        Values:
             Error messages for exceptions.

  Since:
    6.6.4

### createFoundMessage

    abstract ILinkPresentation createFoundMessage(String name,
                                                  Point2D startPoint,
                                                  INodePresentation receiver)

  Create a Found Message.

  Parameters:
    `name` - Found message name
    `startPoint` - Start Point
    `receiver` - receiver (Frame, Lifeline, Activation, InteractionUse)
  Returns:
    ILinkPresentation Found Message
  Throws:
    `InvalidEditingException` - InvalidEditingException occurs.

        Keys:
             PARAMETER_ERROR_KEY - if a parameter is not set properly.
             NO_TARGET_DIAGRAM_KEY - if target Diagram is not set.
             INVALID_DIAGRAM_ERROR_KEY - if a diagram of an element is not correct.
             READ_ONLY_MESSAGE - if a read-only element is edited.
             BAD_TRANSACTION_KEY - Bad Transaction.
             HAS_EXCEPTION_KEY - if an exception has occurred.

        Values:
             Error messages for exceptions.

  Since:
    6.6.4

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD